Bug 491823 - selinux alert when starting firefox after installation of citrix client 11
selinux alert when starting firefox after installation of citrix client 11
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 06:03 EDT by Natxo Asenjo
Modified: 2009-11-18 08:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:00:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Natxo Asenjo 2009-03-24 06:03:34 EDT
Description of problem:

SELinux is preventing firefox from loading /usr/lib/ICAClient/npica.so which requires text relocation. 

Version-Release number of selected component (if applicable):

when the citrix client is installed then selinux blocks that file. Citrix client version: ICAClient-11.0-1.i386.rpm

How reproducible:

start firefox

Steps to Reproduce:
1. install citrix client
2. start firefox
3.
  
Actual results:

this is the sealert 
Summary:

SELinux is preventing firefox from loading /usr/lib/ICAClient/npica.so which
requires text relocation.

Detailed Description:

The firefox application attempted to load /usr/lib/ICAClient/npica.so which
requires text relocation. This is a potential security problem. Most libraries
do not need this permission. Libraries are sometimes coded incorrectly and
request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/ICAClient/npica.so to use relocation as a workaround, until the library
is fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust /usr/lib/ICAClient/npica.so to run correctly, you can change the
file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/ICAClient/npica.so'" You must also change the default file context
files on the system in order to preserve them even on a full relabel. "semanage
fcontext -a -t textrel_shlib_t '/usr/lib/ICAClient/npica.so'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/ICAClient/npica.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/ICAClient/npica.so [ file ]
Source                        firefox
Source Path                   /usr/lib/firefox-3.0.7/firefox
Port                          <Unknown>
Host                          pc2668-210307
Source RPM Packages           firefox-3.0.7-1.fc10
Target RPM Packages           ICAClient-11.0-1
Policy RPM                    selinux-policy-3.5.13-49.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     pc2668-210307
Platform                      Linux pc2668-210307 2.6.27.19-170.2.35.fc10.i686
                              #1 SMP Mon Feb 23 13:21:22 EST 2009 i686 i686
Alert Count                   2
First Seen                    Tue 24 Mar 2009 10:33:22 AM CET
Last Seen                     Tue 24 Mar 2009 10:33:22 AM CET
Local ID                      b0071392-b3c0-4db6-af71-4898e18fb556
Line Numbers                  

Raw Audit Messages            

node=pc2668-210307 type=AVC msg=audit(1237887202.277:62): avc:  denied  { execmod } for  pid=5802 comm="firefox" path="/usr/lib/ICAClient/npica.so" dev=sda7 ino=190140 scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=pc2668-210307 type=SYSCALL msg=audit(1237887202.277:62): arch=40000003 syscall=125 success=no exit=-13 a0=f4b000 a1=7000 a2=5 a3=bf859e30 items=0 ppid=5773 pid=5802 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=3 comm="firefox" exe="/usr/lib/firefox-3.0.7/firefox" subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)





Expected results:

no warnings from selinux

Additional info:
Comment 1 Daniel Walsh 2009-03-30 11:07:07 EDT
Please report this as a bug to the people who shipped
/usr/lib/ICAClient/npica.so

They have built their library incorrectly.

You can include this link.

http://people.redhat.com/~drepper/selinux-mem.html

If you execute the chcon command in the setroubleshoot report it should fix your problem.

chcon -t textrel_shlib_t '/usr/lib/ICAClient/npica.so'

Miroslav can you add this context.
Comment 2 Daniel Walsh 2009-03-30 11:09:13 EDT
probably something like

/usr/lib(64)?/ICAClient/.*\.so(\.[^/]*)*	gen_context(system_u:object_r:textrel_shlib_t,s0)

To be safe.
Comment 3 Miroslav Grepl 2009-03-30 12:29:05 EDT
Fixed in selinux-policy-3.5.13-54.fc10
Comment 4 Bug Zapper 2009-11-18 06:35:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Daniel Walsh 2009-11-18 08:00:32 EST
Closing as current release

Note You need to log in before you can comment on or make changes to this bug.